Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609326 - CUPS Server Error "client-error-document-format-not-supported" when Ink/Toner Levels refreshed for HP Color LaserJet cp1518ni
CUPS Server Error "client-error-document-format-not-supported" when Ink/Toner...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:90ad15dc
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 20:43 EDT by Anthony Della Cioppa
Modified: 2014-05-07 13:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-26 06:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (669 bytes, text/plain)
2010-06-29 20:43 EDT, Anthony Della Cioppa
no flags Details
Printing Troubleshooter Text File (164.84 KB, text/plain)
2010-07-02 00:01 EDT, Anthony Della Cioppa
no flags Details

  None (edit)
Description Anthony Della Cioppa 2010-06-29 20:43:45 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/bin/hp-systray
component: hplip
executable: /usr/bin/hp-systray
kernel: 2.6.33.5-124.fc13.i686.PAE
package: hplip-gui-3.10.2-11.fc13
reason: device.py:793:parseDeviceURI:Error: ('Unknown/invalid device-uri field', 4)
release: Fedora release 13 (Goddard)

backtrace
-----
device.py:793:parseDeviceURI:Error: ('Unknown/invalid device-uri field', 4)

Traceback (most recent call last):
  File "/usr/share/hplip/ui4/systemtray.py", line 591, in notifierActivated
    self.addDevice(event.device_uri)
  File "/usr/share/hplip/ui4/systemtray.py", line 342, in addDevice
    devices[device_uri] = HistoryDevice(device_uri)
  File "/usr/share/hplip/ui4/systemtray.py", line 156, in __init__
    device.parseDeviceURI(device_uri)
  File "/usr/share/hplip/base/device.py", line 793, in parseDeviceURI
    raise Error(ERROR_INVALID_DEVICE_URI)
Error: ('Unknown/invalid device-uri field', 4)

Local variables in innermost frame:
m: None
device_uri: ''

How to reproduce
-----
1.This just occurred on boot up
2.
3.
Comment 1 Anthony Della Cioppa 2010-06-29 20:43:47 EDT
Created attachment 427829 [details]
File: backtrace
Comment 2 Anthony Della Cioppa 2010-06-29 20:55:27 EDT
I send a print job off, no problem, Opened the job que, it worked. Stopped the job, no problem, restarted job, no problem. The only problem i have with the printer, print que, or printer properties is when i ask to refresh Ink/Tone Level.

error reads - CUPS Server Error "client-error-document-format-not-supported"
Comment 3 Jiri Popelka 2010-07-01 07:31:36 EDT
Do you still see the problem from comment #0, or did it happen only once ?

Can you attach output from Printing troubleshooter ?
 https://fedoraproject.org/wiki/Printing/Debugging#Printing_troubleshooter

thanks
Comment 4 Anthony Della Cioppa 2010-07-02 00:01:14 EDT
Created attachment 428609 [details]
Printing Troubleshooter Text File
Comment 5 Anthony Della Cioppa 2010-07-02 00:06:05 EDT
It has happen every time i start the machine. and the the same for The printer properties Ink/Toner Level

CUPS server error:
There was an error during the CUPS operation: 'client-error-document-format-not-supported'.

Which may or may not be part of the same problem
Comment 6 Anthony Della Cioppa 2010-07-03 09:12:08 EDT
Run software updater last night. The original problem is fixed. The CUPS Server error: when checking Ink/Toner Level still occurs when using System > Administrator > Printing > Printer > Properties > Ink/Toner Level. If i use the HP Device Manager Service, all works well!
Comment 7 Anthony Della Cioppa 2010-07-04 09:27:24 EDT
Run software updater last night. The original problem is fixed. The CUPS Server error: when checking Ink/Toner Level still occurs when using System > Administrator > Printing > Printer > Properties > Ink/Toner Level. If i use the HP Device Manager Service, all works well!
Comment 10 Tim Waugh 2010-07-12 11:15:21 EDT
Clicking the 'Refresh' button sends a specially-formatted file which the driver should interpret as an instruction to check ink levels -- some drivers accept this type of file and some do not.

It sounds like the 'Refresh' button shouldn't be clickable in this case.  The system-config-printer program does try to do the right thing by checking the supported file formats, but perhaps it is getting it wrong in this instance.
Comment 11 Anthony Della Cioppa 2010-07-14 21:02:55 EDT
What would be the extension of the system-config-printer file
Comment 12 Tim Waugh 2010-07-15 05:13:01 EDT
The MIME type of the command file is application/vnd.cups-command (there is no file extension).
Comment 13 Anthony Della Cioppa 2010-07-23 21:46:56 EDT
Started over form scratch, fresh Fedora 13 Install, downloaded hplip-3.10.6. I paid closer attention to what was being asked and now with two weeks more experience i managed to load the driver with no problems including Ink/Toner Levels. My error was when i first installed it i missed the message to disable SELinux to download six Dependencies. With those loaded and permissions set, every function works. One note thou....once you install all the drivers it will fail installing the printer in terminal, which is fine. All is needed is to go the System > Administration > Printing, and Add printer from there. Once done all works fine. Reminder, Re-enable SELinux after!
Comment 14 Anthony Della Cioppa 2010-07-23 21:57:34 EDT
Started over form scratch, fresh Fedora 13 Install, downloaded hplip-3.10.6. I paid closer attention to what was being asked and now with two weeks more experience i managed to load the driver with no problems including Ink/Toner Levels. My error was when i first installed it i missed the message to disable SELinux to download six Dependencies. With those loaded and permissions set, every function works. One note thou....once you install all the drivers it will fail installing the printer in terminal, which is fine. All is needed is to go the System > Administration > Printing, and Add printer from there. Once done all works fine. Reminder, Re-enable SELinux after!

Note You need to log in before you can comment on or make changes to this bug.